<div *ngIf="isDetailVisible" class="modal">
  <img
    src="/assets/images/close.svg"
    class="close"
    (click)="closeChartDetail()"
  />
  <pr-chart-bar-vertical-stacked-detail
  [data]="data"
  [detailTitle]="settings.chartTitle"
  [settings]="settings"
  >
</pr-chart-bar-vertical-stacked-detail>
</div>
<p *ngIf="settings.chartTitle != null" class="chart-title">
  {{ settings.chartTitle }}
</p>
<ngx-charts-bar-vertical-stacked
  *ngIf="data != null"
  [animations]="settings.animations"
  [legendPosition]="'below'"
  [view]="view"
  [scheme]="settings.colorScheme || colorScheme"
  [results]="data.data.series"
  [gradient]="settings.gradient"
  [xAxis]="showXAxis"
  [yAxis]="showYAxis"
  [tooltipDisabled]="settings.tooltipDisabled"
  [showDataLabel]="settings.showDataLabel"
  [showXAxisLabel]="settings.showXAxisLabel"
  [showYAxisLabel]="settings.showYAxisLabel"
  [xAxisLabel]="data.data.xLabel"
  [yAxisLabel]="data.data.yLabel"
  [animations]="animations"
  (select)="onSelect($event)"
>
  <ng-template #tooltipTemplate let-model="model">
    {{ model.series }} - {{ model.label }}
    <br />
    <b>{{ formatNumber(model.value) }} {{ data.metadata.unit }}</b>
  </ng-template>
</ngx-charts-bar-vertical-stacked>
<div class="chart-detail">
  <a (click)="showChartInPopup()" style="align-content: right;">+zvětšit graf</a>
</div>
<ngx-charts-legend
  [style.display]="settings.showLegend ? 'inline-block' : 'none'"
  #legend
  [height]="50"
  class="chart-legend"
  [class.left]="settings.legendPosition === 'left'"
  [class.center]="settings.legendPosition === 'center'"
  [class.right]="settings.legendPosition === 'right'"
  [data]="legendData"
  [colors]="legendColors"
  (labelActivate)="legendActivate($event)"
  (labelDeactivate)="legendDeactivate($event)"
>
</ngx-charts-legend>
